# Point of Sale - Cashier Comment

This module extends the functionality of point of sale module, to allow display and edit customer note field in the point of sale UI for the cashier.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Other credits
  - Maintainers

# Usage

- Go to your partner view and write or edit new PoS comments

- Then Open your Point of sale

in the customer tree view, a new icon is available to mention that the customer has a PoS Comment to read:

It is possible to see or edit the comment in the customer form view:

# Known issues / Roadmap

For the time being, there is no HTML widget available in the point of sale. For that reason, the Cashier comment (`pos_comment`) is a simple Text field. If a widget is available in odoo, it could be great to switch to a HTML field text.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- GRAP

## Contributors

- Sylvain LE GAL (https://twitter.com/legalsylvain)
- Juan Carlos Bonilla <juancarlos.bonilla@factorlibre.com>

## Other credits

The development of this module has been financially supported by:

- UGESS, Union Nationale des Groupements des épiceries Sociales et Solidaires (https://ugess.org/)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/pos project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.